Skip to main content
PATCH
/
v1
/
caller-trust
/
reputation
Update reputation check frequency
curl --request PATCH \
  --url https://api.revdesk.com/v1/caller-trust/reputation \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "enterprise_id": "<string>",
    "status": "<string>",
    "check_frequency": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
check_frequency
enum<string>
required
Available options:
business_daily,
daily,
weekly,
biweekly,
monthly,
never

Response

Success

data
object
required